extends RigidBody2D


const LaserHit = preload("res://Scenes/LaserHit.tscn")

onready var laserSound = $LaserSound

func _ready():
	laserSound.play()

func _on_VisibilityNotifier2D_screen_exited():
	queue_free()

func create_hit_effect():
	var hit = LaserHit.instance()
	hit.global_position = global_position
	hit.get_node("HitParticles").emitting = true
	get_tree().current_scene.add_child(hit)
